language: cn
model_unique_abbr: permutation_test_clustering
version: 1.0
identification:
  docker_image_name: permutation_test_clustering:1.0
  model_name: 基于快速重排检验的适应性聚类
  semantic: point clustering
  description: 基于快速重排检验的适应性聚类是一种融合时空邻近性与专题属性相似的地理空间对象聚类方法。
  category_application: 诊断型
  category_data:
    - 点数据分析
  keywords:
    - 时空数据挖掘
    - 分布模式
    - 时空聚类
    - 随机重排
    - 聚类显著性
    - 时空簇
parameter_info:
  parameters:
    - arg_name: input
      is_single_en_dash: false
      param_type: input_data
      name: 空间点数据
      description: "待检测的的空间点矢量数据,文件格式为shp"
      data_type: shp
      data_semantic: cluster_data

    - arg_name: field
      is_single_en_dash: false
      param_type: param
      name: 非空间属性
      description: 非空间属性列名，用于聚类，只能输入一个属性列，如 T1
      data_type: str
      data_semantic: non-spatial attribute

    - arg_name: output
      is_single_en_dash: false
      param_type: output_data
      name: 异常探测结果
      description: 带有簇标签的聚类结果，保存为csv格式的文件。新增列名默认为label,若原数据中已有该列,则添加从序号1编号,如label1、label2...。聚类标签为1,2...
      data_type: csv
      data_semantic: cluster_result

application:
  domain: 基于快速重排检验的适应性聚类
  objective: 融合时空邻近与专题属性相似的时空聚类
  dimension:
    - 二维
  mechanism: 首先通过重排检验发现时空数据集中的均质子区域；进而，采用均方误差准则合并均质子区域内的时空实体生成时空簇，并通过簇内重排检验自动识别聚类合并的终止条件.
operation:
  usage: "该算法需要三个参数,输入文件路径与名称,attr非空间属性,输出文件路径与名称。"
  exec_example:
    - docker run -v $(pwd):/data permutation_test_clustering:1.0 --input ../data/Pre.shp -field T1 --output output.csv
    - docker run -v $(pwd):/data permutation_test_clustering:1.0 --input ../data/Pre.shp -field T1 --output output.csv
  output_display:
    - "在原本的点数据了新增label列，可以根据label列的值进行聚类展示。"
technique:
  language:
    - Python
  os:
    - Linux
    - Windows
source:
  maintainer: Zhilong Liu
  organization: Central South University
  contact: 235011045@csu.edu.cn
  references:
    - "唐建波,刘启亮,刘博等.一种基于重排检验的时空聚类方法[J].武汉大学学报(信息科学版),2017,42(04):503-511.DOI:10.13203/j.whugis20141016."
